Package weka.gui.beans

# Interface DataFormatListener

All Known Implementing Classes:
  `ClassAssignerCustomizer`

public interface DataFormatListener
Listener interface that customizer classes that are interested in data format changes can implement.

Version:
  $Revision: 1.3 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`void`
`newDataFormat(DataSetEvent e)`
Recieve a DataSetEvent that encapsulates a new data format.

## Method Details

### newDataFormat

void newDataFormat(DataSetEvent e)
Recieve a DataSetEvent that encapsulates a new data format. The DataSetEvent may contain null for the encapsulated format. This indicates that there is no data format available (ie. user may have disconnected an input source of data in the KnowledgeFlow).

Parameters:
  `e` - a `DataSetEvent` value